Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.zip
Class ZipArchiveOutputStream.UnicodeExtraFieldPolicy

    java.lang.Object
      org.apache.commons.compress.archivers.zip.ZipArchiveOutputStream.UnicodeExtraFieldPolicy

Enclosing class:
  ZipArchiveOutputStream

    public static final class ZipArchiveOutputStream.UnicodeExtraFieldPolicy

extends Object

enum that represents the possible policies for creating Unicode extra fields.

Field Summary
`static ZipArchiveOutputStream.UnicodeExtraFieldPolicy` | `ALWAYS` Always create Unicode extra fields.
`static ZipArchiveOutputStream.UnicodeExtraFieldPolicy` | `NEVER` Never create Unicode extra fields.
`static ZipArchiveOutputStream.UnicodeExtraFieldPolicy` | `NOT_ENCODEABLE` Create Unicode extra fields for filenames that cannot be encoded using the specified encoding.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALWAYS

    public static final ZipArchiveOutputStream.UnicodeExtraFieldPolicy ALWAYS

  Always create Unicode extra fields.

### NEVER

    public static final ZipArchiveOutputStream.UnicodeExtraFieldPolicy NEVER

  Never create Unicode extra fields.

### NOT_ENCODEABLE

    public static final ZipArchiveOutputStream.UnicodeExtraFieldPolicy NOT_ENCODEABLE

  Create Unicode extra fields for filenames that cannot be encoded using the specified encoding.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.